import type { Module } from '../engineer'
import { createUniqueId } from '../engineer/utils'

const module: Module = {
  vid: createUniqueId(),
  mid: createUniqueId(),
  title: '辅助线',
  configs: [],
  init:{
    theme:{
      innerColor: '#dedede',
      height:10,
      color: 'white'
    }
  },
  theme:{
    height: '@@theme.height',
    flexible: true,
    mainAlign:'center',
    crossAlign: 'center',
    textColor: '@@theme.innerColor',
    color: '@@theme.color'
  },
  children:{
    theme:{
      width: 345,
      height: 0.8,
      color: '@@theme.innerColor'
    }
  }
}
export default module
