import productGroup from "./prduct-group"
import imageCube from './image-cube.ts'
import swiper from './swiper.ts'
import { createUniqueId } from '../engineer/utils'
import { Category } from '../engineer'
import categoryBar from './category-bar.ts'
import searchCube from './search-cube.ts'
import productColumn from './product-column.ts'
import diyTitle from './diy-title.ts'
import auxiliaryEmpty from './auxiliary-empty.ts'
import auxiliaryLine from './auxiliary-line.ts'
import activityCube from './activity-cube.ts'

export default {
  icon: 'trash',
  text: '基础',
  modules: [
    swiper,
    productGroup,
    categoryBar,
    productColumn,
    diyTitle,
    searchCube,
    imageCube,
    auxiliaryEmpty,
    auxiliaryLine,
    activityCube,
    {
      title: '商品分类',
      vid: createUniqueId(),
      mid: createUniqueId(),
      maxReferenceCount: -1,
      referenceCount: 0,
      image: undefined,
      init: {
        theme:{
          color: 'white',
          textColor: '#333'
        },
      },
      templates:{},
      configs:[],
      theme:{
        color: '@@theme.color',
        gap: 15,
        fontSize:14,
        fontWeight: 400,
        padding:10,
        textColor: '@@theme.textColor'
      },
      children:[
        {children:'产品分类',theme:{fontWeight:600}},
        {children:'产品分类'},
        {children:'产品分类'},
        {children:'产品分类'},
        {children:'产品分类'},
      ],
    }
  ],
} as Category
