import type { Module } from '../engineer'
import { createUniqueId } from '../engineer/utils'
const module: Module = {
  vid: createUniqueId(),
  mid: createUniqueId(),
  title: '活动魔方',
  configs: [],
  init:{
    theme:{
      color: '#fff',
      innerColor: 'pink'
    }
  },
  theme:{
    color: '@@theme.color',
    padding: 5,
    radius: '@@theme.radius'
  },
  children: {
      theme:{
        color: '@@theme.innerColor',
        radius: '@@theme.radius',
        height: 20
      },
      children:[]
    }


}
export default module
