import { createUniqueId } from '../engineer/utils'
import { Module } from '../engineer'

const module: Module = {
  title: '两列产品卡片',
  vid: createUniqueId(),
  mid: createUniqueId(),
  maxReferenceCount: -1,
  referenceCount: 0,
  image: undefined,
  configs: [],
  init: {
    theme:{
      color: 'pink',
      innerRadius: 12
    }
  },
  theme: {
    color: '@@theme.color',
    padding: {
      top: 12.5,
      left: 12.5,
      right: 12.5
    },
    gap: 10,
  },
  children: [
    {

      vid: createUniqueId(),
      theme: {
        width: 170,
        height: 200,
        color: 'white',
        radius: '@@theme.innerRadius',
        clip: 'hidden'
      },
      children: '产品'
    },
    {
      vid: createUniqueId(),
      theme: {
        width: 170,
        height: 200,
        color: 'white',
        radius: '@@theme.innerRadius',
        clip: 'hidden'
      },
      children: '产品'
    }
  ]
}
export default module
